=== debian/changelog ===
kernel-diablo (2.6.21-200842maemo1.2) unstable; urgency=low

  * Kbuild fix

 -- Grigori Timonen <grigori.timonen@nokia.com>  Sat, 20 Dec 2008 09:36:27 +0200

kernel-diablo (2.6.21-200842maemo1) unstable; urgency=low

  * Updated kernel version 2.6.21-200842maemo1

 -- Grigori Timonen <grigori.timonen@nokia.com>  Tue, 14 Oct 2008 09:32:39 +0300

kernel-diablo (2.6.21-200838maemo1) unstable; urgency=low

  * Updated kernel version 2.6.21-200838maemo1

 -- Grigori Timonen <grigori.timonen@nokia.com>  Mon, 15 Sep 2008 12:44:46 +0300

kernel-diablo (2.6.21-200837maemo2) unstable; urgency=low

  Updated kernel version 2.6.21-200837maemo2

 -- Grigori Timonen <grigori.timonen@nokia.com>  Tue,  9 Sep 2008 12:36:47 +0300

kernel-diablo (2.6.21-200835maemo1) unstable; urgency=low

  * Updated kernel version 2.6.21-200835maemo1

 -- Timo Poikola <timo.poikola@nokia.com>  Tue, 26 Aug 2008 19:33:25 +0300

kernel-diablo (2.6.21-200834maemo1) unstable; urgency=low

  * Updated kernel version 2.6.21-200834maemo1

 -- Timo Poikola <timo.poikola@nokia.com>  Wed, 20 Aug 2008 13:35:15 +0300

kernel-diablo (2.6.21-200833maemo3) unstable; urgency=low

  * Updated kernel version 2.6.21-200833maemo3

 -- Jarkko Oikarinen <jarkko.oikarinen@nokia.com>  Wed, 13 Aug 2008 20:12:26 +0300

kernel-diablo (2.6.21-200833maemo1) unstable; urgency=low

  * Updated kernel version 2.6.21-200833maemo1

 -- Timo Poikola <timo.poikola@nokia.com>  Wed, 13 Aug 2008 12:35:26 +0300

kernel-diablo (2.6.21-200828maemo1) unstable; urgency=low

  * Updated kernel version 2.6.21-200828maemo1

 -- Grigori Timonen <grigori.timonen@nokia.com>  Wed,  9 Jul 2008 08:38:41 +0300

kernel-diablo (2.6.21-200827maemo1) unstable; urgency=low

  *  Updated kernel version 2.6.21-200827maemo1

 -- Grigori Timonen <grigori.timonen@nokia.com>  Tue,  1 Jul 2008 12:48:50 +0300

kernel-diablo (2.6.21-200826maemo1) unstable; urgency=low

  * Updated kernel version 2.6.21-200826maemo1

 -- Grigori Timonen <grigori.timonen@nokia.com>  Mon, 23 Jun 2008 16:13:16 +0300

kernel-diablo (2.6.21-200823maemo6) unstable; urgency=low

  * Updated kernel version 2.6.21-200823maemo6

 -- Grigori Timonen <grigori.timonen@nokia.com>  Thu, 19 Jun 2008 10:41:35 +0300

kernel-diablo (2.6.21-200823maemo5) unstable; urgency=low

  * Debianizing changes, Fixes: NB#84740

 -- Grigori Timonen <grigori.timonen@nokia.com>  Fri, 13 Jun 2008 11:01:50 +0300

kernel-diablo (2.6.21-200823maemo3) unstable; urgency=low

  * Updated kernel version 2.6.21-200823maemo3

 -- Grigori Timonen <grigori.timonen@nokia.com>  Wed, 11 Jun 2008 14:21:57 +0300

kernel-diablo (2.6.21-200823maemo2) unstable; urgency=low

  * Updated kernel version 2.6.21-200823maemo2

 -- Grigori Timonen <grigori.timonen@nokia.com>  Mon,  9 Jun 2008 12:43:28 +0300

kernel-diablo (2.6.21-200823maemo1) unstable; urgency=low

  * Updated kernel version 2.6.21-200823maemo1

 -- Grigori Timonen <grigori.timonen@nokia.com>  Tue,  3 Jun 2008 11:27:11 +0300

kernel-diablo (2.6.21-200822maemo2) unstable; urgency=low

  * Updated kernel version 2.6.21-200822maemo2

 -- Grigori Timonen <grigori.timonen@nokia.com>  Mon, 26 May 2008 11:55:04 +0300

kernel-diablo (2.6.21-200821maemo2) unstable; urgency=low

  *  Updated kernel version 2.6.21-200821maemo2

 -- Grigori Timonen <grigori.timonen@nokia.com>  Tue, 20 May 2008 14:17:28 +0300

kernel-diablo (2.6.21-200820maemo1) unstable; urgency=low

  * Updated kernel version 2.6.21-200820maemo1

 -- Grigori Timonen <grigori.timonen@nokia.com>  Tue, 13 May 2008 14:00:24 +0300

kernel-diablo (2.6.21-200819maemo2) unstable; urgency=low

  *  Updated kernel version 2.6.21-200819maemo2

 -- Grigori Timonen <grigori.timonen@nokia.com>  Tue,  6 May 2008 13:43:50 +0300

kernel-diablo (2.6.21-200818maemo1) unstable; urgency=low

  * Updated kernel version 2.6.21-200818maemo1

 -- Grigori Timonen <grigori.timonen@nokia.com>  Mon, 28 Apr 2008 14:39:14 +0300

kernel-diablo (2.6.21-200817maemo2) unstable; urgency=low

  *  Updated kernel version 2.6.21-200817maemo2

 -- Grigori Timonen <grigori.timonen@nokia.com>  Tue, 22 Apr 2008 15:36:57 +0300

kernel-diablo (2.6.21-200816maemo1) unstable; urgency=low

  * Updated kernel version 2.6.21-200816maemo1

 -- Grigori Timonen <grigori.timonen@nokia.com>  Wed, 16 Apr 2008 08:59:46 +0300

kernel-diablo (2.6.21-200815maemo2extra2) unstable; urgency=low

  * Added kernel-diablo-modules-extra package

 -- Grigori Timonen <grigori.timonen@nokia.com>  Thu, 10 Apr 2008 12:11:09 +0300

kernel-diablo (2.6.21-200815maemo2) unstable; urgency=low

  * Updated kernel version 2.6.21-200815maemo2 

 -- Grigori Timonen <grigori.timonen@nokia.com>  Tue,  8 Apr 2008 11:03:23 +0300

kernel-diablo (2.6.21-200814maemo3) unstable; urgency=low

  * Updated kernel version 2.6.21-200814maemo2

 -- Grigori Timonen <grigori.timonen@nokia.com>  Fri,  4 Apr 2008 10:26:21 +0300

kernel-diablo (2.6.21-200814maemo2) unstable; urgency=low

  * Updated kernel version 2.6.21-200814maemo1

 -- Grigori Timonen <grigori.timonen@nokia.com>  Tue,  1 Apr 2008 10:37:39 +0300

kernel-diablo (2.6.21-200813maemo1) unstable; urgency=low

  * Updated kernel version 2.6.21-200813maemo1

 -- Grigori Timonen <grigori.timonen@nokia.com>  Tue, 25 Mar 2008 15:03:48 +0200

kernel-diablo (2.6.21-200812maemo1) unstable; urgency=low

  * Updated kernel version 2.6.21-200812maemo1

 -- Grigori Timonen <grigori.timonen@nokia.com>  Tue, 18 Mar 2008 12:56:45 +0200

kernel-diablo (2.6.21-200811maemo1) unstable; urgency=low

  * Updated kernel version 2.6.21-200811maemo1

 -- Grigori Timonen <grigori.timonen@nokia.com>  Tue, 11 Mar 2008 15:06:21 +0200

kernel-diablo (2.6.21-200809maemo2) unstable; urgency=low

  * Updated kernel version 2.6.21-200809maemo2

 -- Grigori Timonen <grigori.timonen@nokia.com>  Thu, 28 Feb 2008 08:33:44 +0200

kernel-diablo (2.6.21-200809maemo1) unstable; urgency=low

  * Updated kernel version 2.6.21-200809maemo1


