=== debian/control ===
Source: kernel-diablo
Section: utils
Priority: optional
Maintainer:  Grigori Timonen <grigori.timonen@nokia.com>
Build-Depends: debhelper (>= 4.0.0)
Build-Depends-Indep: kernel-source-diablo (=2.6.21-200842maemo1)
XBCS-Scratchbox-Architecture: uarm
Standards-Version: 3.8.0

Package: kernel-diablo
Architecture: all
Description: Flashable Linux kernel for RX-34, RX-44, RX-48 hardware
 This package provides a flashable kernel image for RX-34, RX-44, RX-48 HW.

Package: kernel-diablo-flasher
Architecture: all
Depends: flash-and-reboot
XB-Maemo-Flags: flash-and-reboot
Description: Flashable Linux kernel for RX-34, RX-44, RX-48 hardware
 This package provides a flashable kernel image for RX-34, RX-44, RX-48 HW.
 Use the flash-and-reboot utility to flash this kernel.

Package: kernel-diablo-headers
Architecture: all
Depends: ${shlibs:Depends}
Provides: kernel-headers
Description: Linux kernel headers
 This package provides kernel headers for RX-34, RX-44, RX-48.

Package: kernel-diablo-modules
Architecture: all
Description: Linux kernel modules
 This package provides kernel modules for RX-34, RX-44, RX-48.

Package: kernel-diablo-modules-extra
Architecture: all
Description: Linux kernel modules
 This package provides some extra kernel modules for RX-34, RX-44, RX-48.

Package: kernel-diablo-oprofile
Architecture: all
Description: Flashable Linux kernel for RX-48 hardware with oprofile
 This package provides a flashable kernel image for RX-34, RX-44, RX-48 HW.
 It has oprofile support built in.

Package: kernel-diablo-debug
Architecture: all
Description: Linux kernel debug symblos
 This packages provides vmlinux files for the RX-34, RX-44, RX-48 kernels.
